Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.io.object
Interface ICustomSerializable

All Known Implementing Classes:
  RuntimeStatusObject, Status, StatusObject

    public interface ICustomSerializable

Interface for objects that know how to serialize their contents. NOTE: This is only used for AMF0 encoding and you should not need to implement this in your own objects.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

Method Summary
`void` | `serialize(Output output, Serializer serializer)` Serialize this object to the given output stream.

Method Detail

### serialize

    void serialize(Output output,
                   Serializer serializer)

  Serialize this object to the given output stream.

  Parameters:
    `output` - output
    `serializer` - serializer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project